Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

AttributeError: module 'coremltools.converters.keras' has no attribute 'convert' #266

Closed
shaoeric opened this issue Oct 17, 2018 · 10 comments
Closed

Comments

@shaoeric
Copy link

@shaoeric shaoeric commented Oct 17, 2018

No description provided.

@marcoleewow

This comment has been minimized.

Copy link

@marcoleewow marcoleewow commented Oct 19, 2018

It seems that coremltools cannot detect Keras in your python environment. Remember to install Keras and not use tf.keras as Tensorflow is not supported.

@shaoeric

This comment has been minimized.

Copy link
Author

@shaoeric shaoeric commented Oct 19, 2018

i got that. my classmate used py2, tf and keras .no error. ..it seems that py3 is not supported

6 similar comments
@shaoeric

This comment has been minimized.

Copy link
Author

@shaoeric shaoeric commented Oct 19, 2018

i got that. my classmate used py2, tf and keras .no error. ..it seems that py3 is not supported

@shaoeric

This comment has been minimized.

Copy link
Author

@shaoeric shaoeric commented Oct 19, 2018

i got that. my classmate used py2, tf and keras .no error. ..it seems that py3 is not supported

@shaoeric

This comment has been minimized.

Copy link
Author

@shaoeric shaoeric commented Oct 19, 2018

i got that. my classmate used py2, tf and keras .no error. ..it seems that py3 is not supported

@shaoeric

This comment has been minimized.

Copy link
Author

@shaoeric shaoeric commented Oct 19, 2018

i got that. my classmate used py2, tf and keras .no error. ..it seems that py3 is not supported

@shaoeric

This comment has been minimized.

Copy link
Author

@shaoeric shaoeric commented Oct 19, 2018

i got that. my classmate used py2, tf and keras .no error. ..it seems that py3 is not supported

@shaoeric

This comment has been minimized.

Copy link
Author

@shaoeric shaoeric commented Oct 19, 2018

i got that. my classmate used py2, tf and keras .no error. ..it seems that py3 is not supported

@marcoleewow

This comment has been minimized.

Copy link

@marcoleewow marcoleewow commented Oct 19, 2018

can you pip freeze and see if the standalone Keras (with tensorflow backend) is installed?

@1duo 1duo added this to In progress in coremltools 3.1 Oct 16, 2019
@1duo 1duo moved this from In progress to Done in coremltools 3.1 Nov 1, 2019
@Mstronach

This comment has been minimized.

Copy link
Collaborator

@Mstronach Mstronach commented Nov 6, 2019

Experimental support for TensorFlow 2.x and tf.keras was added in coremltools 3.1 with some known issues, could you please try again with the latest version of coremltools 3.1 and/or tfcoreml 1.1. Please see the neural network conversion guide and/or Jupyter notebooks for some conversion examples. If you encounter any issues while converting your model, please file a new GitHub issue with steps to reproduce. Thanks!

@Mstronach Mstronach closed this Nov 6, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
3 participants
You can’t perform that action at this time.